/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package situacion;

import org.junit.Test;
import static org.junit.Assert.*;

public class AppTest {

    
    @Test //Permite comprobar que los datos de Cliente y vehiculo pueden definirse sin problemas
    public void setCliente()
    {
        Cliente cliente = new Cliente();
        cliente.setNombre("Gustavo");
        cliente.setApellido("Contreras");
        cliente.setDNI(43995185);
        cliente.setDomicilio("Barrio 144 viviendas Santa Rosa 110");
        cliente.setNumeroTelefono(371142);

        cliente.vehiculo.setMarca("Ford");
        cliente.vehiculo.setModelo("Fiesta");
        cliente.vehiculo.setPatente("UWU 404");
        cliente.vehiculo.setKilometraje(100000);
        cliente.vehiculo.setMotivoReparacion("Revision de cubierta");
        cliente.vehiculo.setMotivoReparacion("Perdida de aceite");

        assertEquals("Gustavo",cliente.getNombre());
        assertEquals("Contreras",cliente.getApellido());
        assertEquals((int)43995185,(int)cliente.getDNI());
        assertEquals("Barrio 144 viviendas Santa Rosa 110",cliente.getDomicilio());
        assertEquals((int)371142,(int)cliente.getNumeroTelefono());

        assertEquals("Ford",cliente.vehiculo.getMarca());
        assertEquals("Fiesta",cliente.vehiculo.getModelo());
        assertEquals("UWU 404",cliente.vehiculo.getPatente());
        assertEquals((int)100000,(int)cliente.vehiculo.getKilometraje());
        assertEquals("Revision de cubierta",(cliente.vehiculo.especificarMotivos()).get(0));
        assertEquals("Perdida de aceite",(cliente.vehiculo.especificarMotivos()).get(1));
        
    }

    
    @Test // Se prueba que 
    public void Reparacion()
    {
        Cliente cliente = new Cliente();
        cliente.setNombre("Gustavo");
        cliente.setApellido("Contreras");
        cliente.setDNI(43995185);
        cliente.setDomicilio("Barrio 144 viviendas Santa Rosa 110");
        cliente.setNumeroTelefono(371142);

        cliente.vehiculo.setMarca("Ford");
        cliente.vehiculo.setModelo("Fiesta");
        cliente.vehiculo.setPatente("UWU 404");
        cliente.vehiculo.setKilometraje(100000);
        cliente.vehiculo.setMotivoReparacion("Revision de cubierta");
        cliente.vehiculo.setMotivoReparacion("Perdida de aceite");

        Taller taller = new Taller();

        taller.efectuarFicha(cliente);

        assertEquals((int)24500,taller.especificarCostes(cliente));

        int bandera = 0;
        for (String i : Taller.indicarReparaciones(cliente)) 
        {
            if (i == "- El problema era la junta de tapa. Fue reemplazada")
            {
                bandera = 1;
            }
        }
        assertEquals((int) 1,(int) bandera);
        bandera = 0;
        for (String i : Taller.indicarReparaciones(cliente))
        {
            if (i == "- Control de estado de cubiertas: Alineado, balancedo y cambio de cubiertas delanteras")
            {
                bandera = 1;
            }
        }
        assertEquals((int) 1,(int) bandera);
       
    }



}
